casper.start( 'http://0.0.0.0:9001/index.html' );
casper.viewport(1024, 768);

var viewport = [1024,768];

casper.viewport.apply(casper, viewport);



// buttons
casper.then(function(){
    phantomcss.screenshot('[data-qa="default-button"]', 'Default Button');
    phantomcss.screenshot('[data-qa="primary-button"]', 'Primary Button');
    phantomcss.screenshot('[data-qa="tertiary-button"]', 'Tertiary Button');
    phantomcss.screenshot('[data-qa="button-group"]', 'Button Group');
    phantomcss.screenshot('[data-qa="button-toolbar"]', 'Button Toolbar');
});

// headlines
casper.then(function(){
    phantomcss.screenshot('[data-qa="headlines"]', 'Headlines');
});

// navbars
casper.then(function(){
    phantomcss.screenshot('[data-qa="navbar-simple"]', 'Simple Navbar');
    phantomcss.screenshot('[data-qa="navbar-invert"]', 'Invert Navbar');
    phantomcss.screenshot('[data-qa="navbar-full"]', 'Full Navbar');
});

// forms
casper.then(function(){
    phantomcss.screenshot('[data-qa="default-form"]', 'Default form');
    phantomcss.screenshot('[data-qa="inline-form"]', 'Inline form');
    phantomcss.screenshot('[data-qa="checkboxes-and-radios"]', 'Checkboxes and radios');
});

// grids
casper.then(function(){
    phantomcss.screenshot('[data-qa="grids"]', 'grids');
});

// messages
//casper.then(function(){
//    phantomcss.screenshot('[data-qa="notifications"]', 'notifications');
//});


casper.then( function(){
    //phantomcss.compareAll();
    phantomcss.compareSession();
});


casper.then( function end_it(){
    casper.test.done();
});

casper.run(function(){
    console.log('\nTHE END.');
    phantom.exit(phantomcss.getExitStatus());
});
